%define current_version 7.0.23

Name:		prl-disk-tool
Summary:	Virtuozzo disk manipulation tool
Version:	%{current_version}
Release:        1%{?dist}
License:	GPLv2
Group:		Applications/System
Source:		%{name}-%{version}.tar.bz2
ExclusiveArch:	x86_64
Requires:	ploop >= 7.0.13
Requires:	libguestfs >= 1.32.1
Requires:	libguestfs-tools-c >= 1.32.1
Requires:	libguestfs-xfs >= 1.32.1
#Requires:	btrfs-progs >= 4.2
Requires:	qemu-img >= 1.5.3

BuildRequires:	qt4-devel
BuildRequires:	qt4
BuildRequires:	boost-devel
BuildRequires:	boost-static
BuildRequires:	libguestfs-devel >= 1.32.1


%description
prl-disk-tool is an utility to manipulate virtual machine and Container
disk images. It performs image resizing, compacting etc. and supports
different filesystems (ext, ntfs, btrfs, xfs).

Virtuozzo is a powerful, easy to use, cost effective server virtualization
solution that empowers PC users with the ability to create completely
networked, fully portable, entirely independent virtual machines and Containers
on a single physical machine.

%prep
%setup -q

%build
qmake-qt4
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING GPL-2.0 %{buildroot}%{_docdir}/%{name}-%{version}/
%{__mkdir} -p %{buildroot}%{_mandir}/man8
install -m 644 man/prl_disk_tool.8 %{buildroot}%{_mandir}/man8/prl_disk_tool.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/prl_disk_tool.8*
%{_docdir}/%{name}-%{version}
%{_datadir}/%{name}/*

%changelog
* Wed Jul 27 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.23
 - Fix extended partitions' signatures, #PSBM-50176

* Thu Jul 21 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.22
 - Release image before running virt-sparsify.
 - Release image before running commit.
 - Improve logging on handle open/close, #PSBM-49738
 - Close the handle on snapshot operations, #PSBM-49738

* Tue Jun 21 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.21
 - Fixes for coverity, #PSBM-28844
 - Removed mentions of expanding disks. References PSBM-44914. (Artem Pavlenko
<apavlenko@virtuozzo.com>)

* Wed May 25 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.20
 - Ignore FAT in virt-sparsify.

* Thu May 12 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.19
 - Add more memory to guestfs appliance, #PSBM-46915
 - Fix filesystem overhead, #PSBM-28150

* Thu Mar 03 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.18
 - Added timeout calculation for virt-resize, #PSBM-44807
 - Added timeout arg to run_prg, added default arg values, #PSBM-44807

* Fri Feb 12 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.17
 - Fallback to mount_ro + statvfs if NTFS is dirty for displaying minsize,
   \#PSBM-43646
 - Ask user to run CHKDSK on ntfs_minimum_size fail, #PSBM-43646

* Fri Feb 05 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.16
 - Clear sigmask and change PG for child processes, #PSBM-43820
 - Ask user to run chkdsk on ntfs resize fail, #PSBM-43486

* Sat Jan 30 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.15
 - [de]activate VGs while recreating partition during partition-aware shrink,
   \#PSBM-43662
 - Added check for the case when PV resize is not needed, #PSBM-43643

* Fri Jan 29 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.14
 - Added lvm_parser.py to makefile, #PSBM-42843
 - Make Partition::List cache shared.
 - Implemented compact -i for LVM, #PSBM-42862
 - Implemented resize for LVM, #PSBM-41046
 - Implemented resize --info for LVM, #PSBM-41046
 - Added lvm config parsing, #PSBM-41046
 - Added lvm_parser.py, #PSBM-42843

* Wed Jan 27 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.12
 - Rebased to libguestfs-1.32.1 and removed duplicated functionality,
   \#PSBM-43555
 - Resize disks without partition table, #PSBM-43123
 - Implemented resize --info for ploop, #PSBM-42355
 - Move ResizeData to Command.h, #PSBM-42355
 - Rebase to new libguestfs-1.32.1

* Wed Jan 20 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.11
 - Resize logical on partition-aware shrink, #PSBM-42678
 - Move VirtResize to header
 - Add cancellation checks (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Enable signal handler and pass cancellation token to GuestFS::Map object.
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Add new classes for signal handler and cancellation token (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Move GuestFS::Wrapper map from ResizeHelper to separate class (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove unused gfsAction from Compact operation (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Move ResizeHelper to a new header file and eliminate resize helper double
creation. (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jan 20 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.10
 - Add call for guestfs_part_expand_gpt, #PSBM-42222
 - Force resize2fs to display minimum size, #PSBM-42534
 - Drop convert command, #PSBM-42354

* Wed Dec 23 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.9
 - Try to apply/remove snapshots only in case of failure, #PSBM-42438
 - Workaround for multiple ntfs resize attempt, #PSBM-42438
 - Fixed qemu-img snapshot -l output parsing, #PSBM-42071
 - Fix for forbidden ntfs mount in libguestfs, #PSBM-42438

* Mon Dec 21 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.8
 - Perform FS shrink on overlay to preserve original image, #PSBM-42438
 - Added swap partition support for resize.
 - Fixed vm/ct disk path templates, #PSBM-42429
 - Forbid resize/convert snapshotted images, #PSBM-42071

* Tue Dec 15 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.7
 - Save/restore GPT GUID for partitions.
 - Fallback to partition-unaware resize if last partition contains unknown FS,
#PSBM-42233
 - Move GPT backup header during partition-unaware expand, #PSBM-42222
 - Bugfix: invalid full backing filename calculation.
 - Implemented in-place resize --resize_partition (for expand only).
 - Preserving GPT GUID for partitions is supported in libguestfs >= 1.29.25

* Tue Dec 01 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.6
 - Bugfix: comparison of sizes in mb and bytes.
 - Implemented shrink without resizing last partition, #PSBM-41616
 - Fix absent qemu-img commit -b, #PSBM-39075
 - Added lazy refcounts.
 - Fix resize estimates.
 - Added fake --comm parameter for compatibility.

* Fri Oct 30 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.5
 - Changed convert --plain to manually call posix_fallocate().

* Wed Oct 28 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.4
 - Fixed .pro to create symlink.

* Wed Oct 28 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.3
 - Renamed binary to prl_disk_tool, added prl-disk-tool symlink. (Maxim
Perevedentsev <mperevedentsev@parallels.com>)
 - Fixed manual. (Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - Changed binary and man name. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)

* Tue Oct 27 2015 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.2
 - Added Makefile.version.
 - Added spec. (Maxim Perevedentsev <mperevedentsev@parallels.com>)

* Tue Oct 27 2015 Maxim Perevedentsev <mperevedentsev@parallels.com> 7.0.2
- Initial source code commit
